#ifndef IO_H
#define IO_H

#include <errno.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>

/**
 * @brief reads a file at a path
 *
 * @param path the filepath
 * @param size a pointer where the size of the result should be stored
 * @return the raw data
 */
static uint8_t* read_file(const char* path, size_t* size);

#endif  // IO_H