#include "../lib/md2.h"

// The file "testfile" should lead to this hash:
// fc982e558db259f298b43cd4c1241c66

void printBuf(size_t len, uint8_t buf[len]) {
  for (int i = 0; i < len; i++) {
    printf("'%lx',", buf[i]);
  }
  printf("\n");
}

void md2_checksum(size_t len, uint8_t* buf) {}

void md2_hash(size_t len, const uint8_t buf[len], uint8_t out[16]) {
  // add padding
  int paddingNeeded = 16 - (len % 16);
  uint8_t originalPadding = paddingNeeded;
  len += paddingNeeded;

  printf("len: %d\n", len);

  uint8_t* newBuf = malloc(len);
  memcpy(newBuf, buf, len - paddingNeeded);
  newBuf[4] = 'f';

  while (paddingNeeded > 0) {
    newBuf[len - paddingNeeded] = originalPadding;
    paddingNeeded--;
  }

  printBuf(len, newBuf);

  free(newBuf);
}